/////////////WRITTEN BY ZACH G. (C) 2021 DORAEZACHTEAM LTD.
/////////////TORQUE GAME ENGINE (C) 2001 - 2021 GARAGEGAMES.COM
datablock TSShapeConstructor(DoraeZachDts) {
	baseShape = "./doraezach.dts";
	sequence0  = "./dz_root.dsq root";

	sequence1  = "./dz_walk.dsq run";
	sequence2  = "./dz_walk.dsq walk";
	sequence3  = "./dz_back.dsq back";
	sequence4  = "./dz_back.dsq side";

	sequence5  = "./dz_crouch.dsq crouch";
	sequence6  = "./dz_crouchrun.dsq crouchRun";
	sequence7  = "./dz_crouchrun.dsq crouchBack";
	sequence8  = "./dz_crouchrun.dsq crouchSide";

	sequence9  = "./dz_look.dsq look";
	sequence10 = "./dz_headside.dsq headside";
	sequence11 = "./dz_root.dsq headUp";

	sequence12 = "./dz_jump.dsq jump";
	sequence13 = "./dz_jump.dsq standjump";
	sequence14 = "./dz_root.dsq fall";
	sequence15 = "./dz_root.dsq land";

	sequence16 = "./dz_armAttack.dsq armAttack";
	sequence17 = "./dz_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./dz_armReadyRight.dsq armReadyRight";
	sequence19 = "./dz_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./dz_spearready.dsq spearready";  
	sequence21 = "./dz_spearThrow.dsq spearThrow";

	sequence22 = "./dz_talk.dsq talk";  

	sequence23 = "./dz_death1.dsq death1"; 
	
	sequence24 = "./dz_root.dsq shiftUp";
	sequence25 = "./dz_root.dsq shiftDown";
	sequence26 = "./dz_shiftAway.dsq shiftAway";
	sequence27 = "./dz_root.dsq shiftTo";
	sequence28 = "./dz_root.dsq shiftLeft";
	sequence29 = "./dz_root.dsq shiftRight";
	sequence30 = "./dz_rotCW.dsq rotCW";
	sequence31 = "./dz_rotCCW.dsq rotCCW";

	sequence32 = "./dz_root.dsq undo";
	sequence33 = "./dz_plant.dsq plant";

	sequence34 = "./dz_sit.dsq sit";

	sequence35 = "./dz_shiftAway.dsq wrench";

   sequence36 = "./dz_activate.dsq activate";
   sequence37 = "./dz_activate2.dsq activate2";

   sequence38 = "./dz_leftrecoil.dsq leftrecoil";
};

datablock AudioProfile(DoraeZachDeathSound)
{
	fileName = "./dz_miss.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(DoraeZachJumpSound)
{
    fileName = "./dz_jump.wav";
    description = AudioClose3d;
    preload = true;
};
datablock AudioProfile(DoraeZachPainSound)
{
    fileName = "./dz_pain.wav";
    description = AudioClose3d;
    preload = true;
};    

datablock PlayerData(DoraeZachArmor : PlayerStandardArmor)
{
   shapeFile = "./doraezach.dts";
	uiName = "DoraeZach";
	canJet = 1;
	maxDamage = "1000";

useCustomPainEffects = true;
   PainSound			= DoraeZachPainSound;
   DeathSound			= DoraeZachDeathSound;
   JumpSound			= DoraeZachJumpSound;

};

datablock PlayerData(DoraeZachNoJetArmor : PlayerStandardArmor)
{
   shapeFile = "./doraezach.dts";
	uiName = "DoraeZach (NO JET !)";
	canJet = 0;
	maxDamage = "1000";

useCustomPainEffects = true;
   PainSound			= DoraeZachPainSound;
   DeathSound			= DoraeZachDeathSound;
   JumpSound			= DoraeZachJumpSound;

};